## openttd-opengfx 0.5.1

=== Makefile ===
#
# This file is part of the NML build framework
# NML build framework is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
# NML build framework is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with NML build framework. If not, see <http://www.gnu.org/licenses/>.
#

SHELL := /bin/bash

-include Makefile.config

##################################################################
#
# For easy updates you can copy these basic definitions in
# Makefile.config
# and place that next to the Makefile. This will allow easy
# updates to the generic Makefile
#
##################################################################

# Definition of the grfs
REPO_NAME           ?= OpenGFX

# This is the filename part common to the grf file, main source file and the tar name
BASE_FILENAME       ?= ogfx1_base ogfxc_arctic ogfxh_tropical ogfxt_toyland ogfxi_logos ogfxe_extra
PROJECT_FILENAME    ?= opengfx

# Documentation files
DOC_FILES ?= docs/readme.txt docs/license.txt docs/changelog.txt

# Possible offset to NewGRF version. Increase by one, if a release
# branch is added to the repository
REPO_BRANCH_VERSION ?= 0

# Directory structure
SCRIPT_DIR          ?= scripts

# Uncomment in order to make use of gimp scripting. See the file
# for a description of the format
# GFX_SCRIPT_LIST_FILES      := gfx/png_source_list

# If needed, declare the minimum NML requirements
# REQUIRED_NML_BRANCH  = 0.3
# MIN_NML_REVISION     = 0

##################################################################
#
# Everything below here usually need not change for simple NewGRFs
#
##################################################################

# Define the filenames of the grf and nml file. They must be in the main directoy
GRF_FILES            ?= $(addsuffix .grf,$(BASE_FILENAME))
NML_FILES            ?= $(addsuffix .nml,$(BASE_FILENAME))
# uncomment MAIN_SRC_FILES if you do not want any preprocessing to happen to your source file
MAIN_SRC_FILES       ?= $(addsuffix .pnml,$(BASE_FILENAME))

# List of all files which will get shipped
# documentation files: readme, changelog and license, usually $(DOC_FILES)
# grf file: the above defined grf file, usualls $(GRF_FILES)
# Add any additional, not usual files here, too, including
# their relative path to the root of the repository
BUNDLE_FILES           ?= $(GRF_FILES) $(DOC_FILES)

# Replacement strings in the source and in the documentation
# You may only change the values, not add new definitions
# (unless you know where to add them in other places, too)
REPLACE_TITLE       := {{REPO_TITLE}}
REPLACE_GRFID       := {{GRF_ID}}
REPLACE_REVISION    := {{REPO_REVISION}}
REPLACE_FILENAME    := {{FILENAME}}

GENERATE_GRF  ?= grf
GENERATE_PNML ?= pnml
GENERATE_NML  ?= nml
GENERATE_GFX  ?= gfx
GENERATE_DOC  ?= doc
GENERATE_LNG  ?= lng

# target 'all' must be first target
all: $(GRF_FILES) $(GENERATE_DOC) bundle_tar

-include Makefile.in

# general definitions (no rules!)
-include Makefile.dist
.PHONY: all clean distclean doc bundle bundle_bsrc bundle_bzip bundle_gsrc bundle_src bundle_tar bundle_xsrc bundle_xz bundle_zip bundle_zsrc check

# We want to disable the default rules. It's not c/c++ anyway
.SUFFIXES:

# Don't delete intermediate files
.PRECIOUS: %.nml %.scm %.png
.SECONDARY: %.nml %.scm %.png

FORCE:

################################################################
# Programme definitions / search paths
################################################################
MAKE           ?= make
MAKE_FLAGS     ?= -r

NML            ?= $(shell which nmlc 2>/dev/null)
NML_FLAGS      ?= -c
ifdef REQUIRED_NML_BRANCH
	NML_BRANCH = $(shell nmlc --version | head -n1 | cut -d. -f1-2)
endif
ifdef MIN_NML_REVISION
	NML_REVISION = $(shell nmlc --version | head -n1 | cut -dr -f2 | cut -d: -f1)
endif

ifdef MAIN_SRC_FILES
	CC             ?= $(shell which gcc 2>/dev/null)
	CC_FLAGS       ?= -C -E -nostdinc -x c-header
endif

AWK            ?= awk

GREP           ?= grep

HG             ?= $(shell hg st >/dev/null 2>/dev/null && which hg 2>/dev/null)

PYTHON         ?= python

UNIX2DOS       ?= $(shell which unix2dos 2>/dev/null)
UNIX2DOS_FLAGS ?= $(shell [ -n $(UNIX2DOS) ] && $(UNIX2DOS) -q --version 2>/dev/null && echo "-q" || echo "")

################################################################
# Get the Repository revision, tags and the modified status
# The displayed name within OpenTTD / TTDPatch
# Looks like either
# a nightly build:                 GRF's Name nightly-r51
# a release build (taged version): GRF's Name 0.1
################################################################
# This must be conditional declarations, or building from the tar.gz won't work anymore
DEFAULT_BRANCH_NAME ?=

# HG revision
REPO_REVISION  ?= $(shell $(HG) id -n | cut -d+ -f1)

# HG Hash
REPO_HASH            ?= $(shell $(HG) id -i | cut -d+ -f1)

# Days of commit since 2000-1-1 00-00
REPO_DATE            ?= $(shell $(HG) log -r$(REPO_HASH) --template='{time|shortdate}')
REPO_DAYS_SINCE_2000 ?= $(shell $(PYTHON) -c "from datetime import date; print (date(`echo "$(REPO_DATE)" | sed s/-/,/g | sed s/,0/,/g`)-date(2000,1,1)).days")

# Whether there are local changes
REPO_MODIFIED  ?= $(shell [ "`$(HG) id | cut -c13`" = "+" ] && echo "M" || echo "")

# Branch name
REPO_BRANCH    ?= $(shell $(HG) id -b | sed "s/default/$(DEFAULT_BRANCH_NAME)/")

# Any tag which is not 'tip'
REPO_TAGS      ?= $(shell $(HG) id -t | grep -v "tip")

# Filename addition, if we're not building the default branch
REPO_BRANCH_STRING ?= $(shell if [ "$(REPO_BRANCH)" = "$(DEFAULT_BRANCH_NAME)" ]; then echo ""; else echo "-$(REPO_BRANCH)"; fi)

# The version reported to OpenTTD. Usually days since 2000 + branch offset
NEWGRF_VERSION ?= $(shell let x="$(REPO_DAYS_SINCE_2000) + 65536 * $(REPO_BRANCH_VERSION)"; echo "$$x")

# The shown version is either a tag, or in the absence of a tag the revision.
REPO_VERSION_STRING ?= $(shell [ -n "$(REPO_TAGS)" ] && echo $(REPO_TAGS)$(REPO_MODIFIED) || echo $(REPO_DATE)$(REPO_BRANCH_STRING) \($(NEWGRF_VERSION):$(REPO_HASH)$(REPO_MODIFIED)\))

# The title consists of name and version
REPO_TITLE     ?= $(REPO_NAME) $(REPO_VERSION_STRING)

# Remove the @ when you want a more verbose output.
_V ?= @
_E ?= @echo

distclean:: clean
maintainer-clean:: distclean

# target nml
################################################################
# Pre-processing and generation of $(NML_FILES)
################################################################

# ifdef $(MAIN_SRC_FILE)
pnml:

%.nml: %.pnml
	$(_E) "[CPP] $@"
	$(_V) $(CC) -D REPO_REVISION=$(NEWGRF_VERSION) -D NEWGRF_VERSION=$(NEWGRF_VERSION) $(CC_USER_FLAGS) $(CC_FLAGS) -o $@ $<

clean::
	$(_E) "[CLEAN NML]"
	$(_V)-rm -rf $(NML_FILES)

nml: $(NML_FILES)
# else
# nml:
# endif

# target 'gfx' which builds all needed sprites
# Only a special gfx target for gimp exists so far
################################################################
# Targets related to creation of graphics files
################################################################
# Dependency on source list file via dep check
ifdef GFX_SCRIPT_LIST_FILES
# include dependency file, if we generate graphics
-include Makefile_gfx.dep

GIMP           ?= $(shell [ `which gimp 2>/dev/null` ] && echo "gimp" || echo "")
GIMP_FLAGS     ?= -n -i -b - <

%.scm: $(SCRIPT_DIR)/gimpscript $(SCRIPT_DIR)/gimp.sed
	$(_E) "[GIMP-SCRIPT] $@"
	$(_V) cat $(SCRIPT_DIR)/gimpscript > $@
	$(_V) cat $(GFX_SCRIPT_LIST_FILES) | grep $(patsubst %.scm,%.png,$@) | sed -f $(SCRIPT_DIR)/gimp.sed >> $@
	$(_V) echo "(gimp-quit 0)" >> $@

# create the png file. And make sure it's re-created even when present in the repo
%.png: %.scm
	$(_E) "[GIMP] $@"
	$(_V) $(GIMP) $(GIMP_FLAGS) $< >/dev/null

Makefile_gfx.dep: $(GFX_SCRIPT_LIST_FILES) Makefile Makefile.config
	$(_E) "[GFX-DEP] $@"
	$(_V) echo "" > $@
	$(_V) for j in $(GFX_SCRIPT_LIST_FILES); do for i in `cat $$j | grep "\([pP][cCnN][xXgG]\)" | grep -v "^#" | cut -d\  -f1 | sed "s/\.\([pP][cCnN][xXgG]\)//"`; do echo "$$i.scm: $$j" >> $@; echo "$(GRF_FILES): $$i.png" >> $@; done; done
	$(_V) cat $(GFX_SCRIPT_LIST_FILES) | grep "\([pP][cCnN][xXgG]\)" | grep -v "^#" | sed "s/[ ] */ /g" | cut -d\  -f1-2 | sed "s/ /: /g" >> $@

gfx: Makefile_gfx.dep

clean::
	$(_E) "[CLEAN GFX]"
	$(_V) for j in $(GFX_SCRIPT_LIST_FILES); do for i in `cat $$j | grep "\([pP][cCnN][xXgG]\)" | cut -d\  -f1 | sed "s/\.\([pP][cCnN][xXgG]\)//"`; do rm -rf $$i.scm; done; done
	$(_V) rm -rf Makefile_gfx.dep

clean-gfx::
	$(_E) "[CLEAN-GFX]"
	$(_V) for j in $(GFX_SCRIPT_LIST_FILES); do for i in `cat $$j | grep "\([pP][cCnN][xXgG]\)" | cut -d\  -f1 | sed "s/\.\([pP][cCnN][xXgG]\)//"`; do rm -rf $$i.png; done; done
else
gfx:
endif

#####################################################
# target 'lng' which builds the lang/*.lng files
#####################################################
lng: custom_tags.txt

RES := $(shell \
	echo "VERSION        :$(REPO_VERSION_STRING)" > custom_tags.txt.cache; \
	echo "VERSION_STRING :$(REPO_VERSION_STRING)" >> custom_tags.txt.cache; \
	echo "TITLE          :$(REPO_TITLE)" >> custom_tags.txt.cache; \
	echo "FILENAME       :$(GRF_FILES)" >> custom_tags.txt.cache; \
	echo "REPO_DATE      :$(REPO_DATE)" >> custom_tags.txt.cache; \
	echo "REPO_HASH      :$(REPO_HASH)" >> custom_tags.txt.cache; \
	echo "REPO_BRANCH    :$(REPO_BRANCH)" >> custom_tags.txt.cache; \
	echo "NEWGRF_VERSION :$(NEWGRF_VERSION)" >> custom_tags.txt.cache; \
	echo "DAYS_SINCE_2K  :$(REPO_DAYS_SINCE_2000)" >> custom_tags.txt.cache; \
	if [ ! -f custom_tags.txt ]; then cp custom_tags.txt.cache custom_tags.txt; fi; \
	if [ "`cat custom_tags.txt.cache`" != "`cat custom_tags.txt`" ]; then cp custom_tags.txt.cache custom_tags.txt; fi \
	)

custom_tags.txt:
	$(_E) "[LNG] $@"
	$(_V) echo "VERSION        :$(REPO_VERSION_STRING)" > $@
	$(_V) echo "VERSION_STRING :$(REPO_VERSION_STRING)" >> $@
	$(_V) echo "TITLE          :$(REPO_TITLE)" >> $@
	$(_V) echo "FILENAME       :$(GRF_FILES)" >> $@
	$(_V) echo "REPO_DATE      :$(REPO_DATE)" >> $@
	$(_V) echo "REPO_HASH      :$(REPO_HASH)" >> $@
	$(_V) echo "REPO_BRANCH    :$(REPO_BRANCH)" >> $@
	$(_V) echo "NEWGRF_VERSION :$(NEWGRF_VERSION)" >> $@
	$(_V) echo "DAYS_SINCE_2K  :$(REPO_DAYS_SINCE_2000)" >> $@

clean::
	$(_E) "[CLEAN LNG]"
	$(_V)-rm -rf custom_tags.txt custom_tags.txt.cache

################################################################
# grf - specific rules
# target 'grf' which builds the grf from the nml
################################################################

%.grf: %.nml $(GENERATE_GFX) $(GENERATE_LNG)
	$(_E) "[NML] $@"
ifeq ($(NML),)
	$(_E) "No NML compiler found!"
	$(_V) false
endif
ifdef REQUIRED_NML_BRANCH
ifneq ($(REQUIRED_NML_BRANCH),$(NML_BRANCH))
	$(_E) "Wrong NML version. This NewGRF requires an NML from the $(REQUIRED_NML_BRANCH) branch, but $(NML_BRANCH) found."
	$(_V) false
endif
endif
ifdef MIN_NML_REVISION
ifeq ($(shell [ "$(NML_REVISION)" -lt "$(MIN_NML_REVISION)" ] && echo "true" || echo "false"),true)
	$(_E) "Too old NML revision. At least r$(MIN_NML_REVISION) is required, but r$(NML_REVISION) found."
	$(_V) false
endif
endif
	$(_V) $(NML) $(NML_FLAGS) --grf $@ $<

grf: $(GRF_FILES)

clean::
	$(_E) "[CLEAN GRF]"
	$(_V)-rm -rf $(GRF_FILES)
	$(_V)-rm -rf $(GRF_FILES).cache
	$(_V)-rm -rf $(GRF_FILES).cacheindex
	$(_V)-rm -rf parsetab.py

maintainer-clean::
	$(_E) "[MAINTAINER-CLEAN GRF]"
	$(_V) -rm -rf $(MD5_SRC_FILENAME)

###############################################################
# Documentation targets
# target 'doc' which builds the docs
################################################################

%.txt: %.ptxt
	$(_E) "[DOC] $@"
	$(_V) cat $< \

=== debian/changelog ===
openttd-opengfx (0.5.1-2) unstable; urgency=medium

  * [8960e28] Bump Standards-Version to 3.9.6, no changes required.
  * [0b69091] Install into /usr/share/games/openttd/baseset.
  * [db7b301] Reverse direction of readme and changelog symlinks.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 23 Oct 2014 12:52:16 +0200

openttd-opengfx (0.5.1-1) unstable; urgency=medium

  * [8c443ad] New upstream release 0.5.1.
  * [cd7ec8b] Depend on grfcodec
  * [9978dc6] Bump Standards-Version to 3.9.5, no changes required.
  * [e4da992] Use canonical Vcs urls (on anonscm.debian.org).
  * [cd20286] Remove fix-distclean.patch
  * [7da3d3b] Update debian/rules to upstream Makefile changes
  * [08f1151] Bump nml build-depend to >= 0.3.0.
  * [5f716d2] Add lintian override for license symlink.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sun, 11 May 2014 15:08:57 +0200

=== debian/control ===
Source: openttd-opengfx
Section: games
Priority: extra
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper (>= 7.0.50), nml (>= 0.3.0), gimp, grfcodec
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/openttd-opengfx.git
Vcs-Git: git://anonscm.debian.org/collab-maint/openttd-opengfx.git
Homepage: http://dev.openttdcoop.org/projects/opengfx

Package: openttd-opengfx
Architecture: all
Depends: ${misc:Depends}
Description: free graphics set for use with the OpenTTD game
 OpenGFX is a graphics set for the OpenTTD game that has been built from
 scratch under an open license. It allows the OpenTTD game to be played without
 needing the graphics files from the original Transport Tycoon Deluxe game.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Make sure that gimp doesn't read or write data into $HOME/.gimp-2.6
export GIMP2_DIRECTORY=$(CURDIR)/gimp-data

%:
	dh $@ --parallel

INSTALL_ROOT=debian/openttd-opengfx
DATA_DIR=usr/share/games/openttd/baseset/opengfx
DOC_DIR=/usr/share/doc/openttd-opengfx


OPTIONS=
OPTIONS += "INSTALL_DIR=$(INSTALL_ROOT)/$(DATA_DIR)"
OPTIONS += "_V="

override_dh_auto_build:
	# Remove all graphics files that can be rebuilt (from gimp xcf
	# files).
	make clean-gfx $(OPTIONS)
	# Then rebuild everything
	make grf doc $(OPTIONS)

override_dh_auto_install:
	make install $(OPTIONS)
	# In the datadir, replace the readme and changelog with symlinks
	# to /usr/share/doc to save space.
	dh_link $(DOC_DIR)/readme.txt $(DATA_DIR)/readme.txt
	dh_link $(DOC_DIR)/changelog $(DATA_DIR)/changelog.txt
	# Verify that the license.txt that was installed is equal to the
	# GPL-2 common license and then just link to that one instead
	diff -q /usr/share/common-licenses/GPL-2 $(INSTALL_ROOT)/$(DATA_DIR)/license.txt
	dh_link usr/share/common-licenses/GPL-2 $(DATA_DIR)/license.txt

override_dh_installdocs:
	dh_installdocs docs/readme.txt

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.txt

override_dh_auto_test:
	# Check if the md5 sums of the resulting grf files match. This
	# ensures no problems will arise in online play, which uses both
	# version info and md5 sums of files.
	make check $(OPTIONS)

override_dh_auto_clean:
	make distclean $(OPTIONS)
	# Remove any data created by gimp
	rm -rf "$(GIMP2_DIRECTORY)"

## openttd-opengfx 0.5.4

=== Makefile ===
#
# This file is part of the NML build framework
# NML build framework is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
# NML build framework is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with NML build framework. If not, see <http://www.gnu.org/licenses/>.
#

SHELL := /bin/bash

include Makefile.config

##################################################################
#
# Makefile.config defines these minimal definitions:
#
# PROJECT_FILENAME
# REPO_BRANCH_VERSION
#
# BASE_FILENAME
# GFX_SCRIPT_LIST_FILES
#
# LICENSE_FILE
# CHANGELOG_FILE
# README_FILE
#
#
##################################################################

# Directory structure
SCRIPT_DIR          ?= scripts

# Define the filenames of the grf and nml file. They must be in the main directoy
GRF_FILES            ?= $(addsuffix .grf,$(BASE_FILENAME))
NML_FILES            ?= $(addsuffix .nml,$(BASE_FILENAME))
PNML_FILES           ?= $(addsuffix .pnml,$(BASE_FILENAME))
DOC_FILES            ?= $(LICENSE_FILE) $(CHANGELOG_FILE) $(README_FILE)
LNG_FILES            ?= lang/*.lng
GFX_FILES            ?=

# List of all files which will get shipped
# documentation files: readme, changelog and license, usually $(DOC_FILES)
# grf file: the above defined grf file, usualls $(GRF_FILES)
# Add any additional, not usual files here, too, including
# their relative path to the root of the repository
BUNDLE_FILES           ?= $(GRF_FILES) $(DOC_FILES) $(OBG_FILENAME)
BANANAS_INI            ?= bananas.ini

# Replacement strings in the source and in the documentation
# You may only change the values, not add new definitions
# (unless you know where to add them in other places, too)
REPLACE_TITLE       := {{REPO_TITLE}}
REPLACE_GRFID       := {{GRF_ID}}
REPLACE_REVISION    := {{REPO_REVISION}}
REPLACE_FILENAME    := {{FILENAME}}

# target 'all' must be first target
all: bundle_tar

-include Makefile.in

# misc. convenience targets like 'langcheck'
-include $(SCRIPT_DIR)/Makefile_misc

# general definitions (no rules!)
-include Makefile.dist
.PHONY: all clean distclean
.PHONY: bananas doc gfx grf lng nml obg
.PHONY: bundle     bundle_tar bundle_bzip bundle_gzip bundle_xz   bundle_zip
.PHONY: bundle_src check      bundle_bsrc bundle_gsrc bundle_xsrc bundle_zsrc 

# We want to disable the default rules. It's not c/c++ anyway
.SUFFIXES:

# Don't delete intermediate files
.PRECIOUS: %.nml %.scm %.png
.SECONDARY: %.nml %.scm %.png

FORCE:

-include *.dep


################################################################
#
# Program definitions / search paths
#
################################################################

# Make
MAKE           ?= make
MAKE_FLAGS     ?= -r

# Version control system
HG                  ?= hg
DEFAULT_BRANCH_NAME ?= default
HG_ARCHIVE_FLAGS    ?= -X .hgtags -X .hgignore -X .devzone -X scripts/make_changelog.sh

# Text processing and scripting
AWK            ?= awk
GREP           ?= grep
PYTHON         ?= python
UNIX2DOS       ?= $(shell which unix2dos)
UNIX2DOS_FLAGS ?= $(shell [ -n $(UNIX2DOS) ] && $(UNIX2DOS) -q --version 2>/dev/null && echo "-q" || echo "")

# Graphics processing
GIMP           ?= gimp
GIMP_FLAGS     ?= -n -i

# NML
NML            ?= nmlc
NML_FLAGS      ?= -c
ifdef REQUIRED_NML_BRANCH
	NML_BRANCH = $(shell nmlc --version | head -n1 | cut -d. -f1-2)
endif
ifdef MIN_NML_REVISION
	NML_REVISION = $(shell nmlc --version | head -n1 | cut -dr -f2 | cut -d: -f1)
endif

ifdef PNML_FILES
	CC             ?= gcc
	CC_FLAGS       ?= -C -E -nostdinc -x c-header
endif

# GRF tools
GRFID          ?= grfid
GRFID_FLAGS    ?= -m
MUSA           ?= musa.py
# The license is set via bananas.ini, do not supply a "custom" license.
MUSA_FLAGS     ?= -x license.txt

# Bundle
TAR            ?= tar
TAR_FLAGS      ?= -cf
# OSX has nice extended file attributes which create their own file within tars. We don't want those, thus don't copy them
CP_FLAGS       ?= $(shell [ "$(OSTYPE)" = "Darwin" ] && echo "-rfX" || echo "-rf")

# Compression tools for bundles
ZIP            ?= zip
ZIP_FLAGS      ?= -9rq
GZIP           ?= gzip
GZIP_FLAGS     ?= -9f
BZIP           ?= bzip2
BZIP_FLAGS     ?= -9fk
XZ             ?= xz
XZ_FLAGS       ?= -efk

# Remove the @ when you want a more verbose output.
_V ?= @
_E ?= @echo


################################################################
#
# Working copy / bundle version detection.
#
################################################################

include Makefile.vcs

ifneq ($(HG),)

# HG revision
REPO_REVISION  = $(shell HGPLAIN= $(HG) id -n | cut -d+ -f1)

# HG Hash
REPO_HASH      = $(shell HGPLAIN= $(HG) id -i | cut -d+ -f1)

# HG Date
REPO_DATE      = $(shell HGPLAIN= $(HG) log -r$(REPO_HASH) --template='{date|shortdate}')

# Whether there are local changes
REPO_MODIFIED  = $(shell [ "`HGPLAIN= $(HG) id | cut -c13`" = "+" ] && echo "M" || echo "")

# Branch name
REPO_BRANCH    = $(shell HGPLAIN= $(HG) id -b)

# Any tag which is not 'tip'
REPO_TAGS      = $(shell HGPLAIN= $(HG) id -t | grep -v "tip")

# Makefile.vcs contains all the data depending on the version reported by HG.
# It is renewed *before* processing any real targets, *only* if the version of the working copy changes.
#
# Everything that uses the version strings (to compile them into some file), should have Makefile.vcs as prerequisite.
#
Makefile.vcs: FORCE
	$(_E) "[VCS] $@"
	$(_V) echo "REPO_REVISION  ?= $(REPO_REVISION)" > $@.new
	$(_V) echo "REPO_HASH      ?= $(REPO_HASH)" >> $@.new
	$(_V) echo "REPO_DATE      ?= $(REPO_DATE)" >> $@.new
	$(_V) echo "REPO_MODIFIED  ?= $(REPO_MODIFIED)" >> $@.new
	$(_V) echo "REPO_BRANCH    ?= $(REPO_BRANCH)" >> $@.new
	$(_V) echo "REPO_TAGS      ?= $(REPO_TAGS)" >> $@.new
	$(_V) cmp -s $@.new $@ || cp $@.new $@
	$(_V) -rm -f $@.new

endif

# Days of commit since 2000-1-1 00-00
REPO_DAYS_SINCE_2000 ?= $(shell $(PYTHON) -c "from datetime import date; print (date(`echo "$(REPO_DATE)" | sed s/-/,/g | sed s/,0/,/g`)-date(2000,1,1)).days")

# Filename addition, if we're not building the default branch
REPO_BRANCH_STRING ?= $(shell if [ "$(REPO_BRANCH)" = "$(DEFAULT_BRANCH_NAME)" ]; then echo ""; else echo "-$(REPO_BRANCH)"; fi)

# The version reported to OpenTTD. Usually days since 2000 + branch offset
NEWGRF_VERSION ?= $(shell let x="$(REPO_DAYS_SINCE_2000) + 65536 * $(REPO_BRANCH_VERSION)"; echo "$$x")

# The shown version is either a tag, or in the absence of a tag the revision.
REPO_VERSION_STRING ?= $(shell [ -n "$(REPO_TAGS)" ] && echo $(REPO_TAGS)$(REPO_MODIFIED) || echo $(REPO_DATE)$(REPO_BRANCH_STRING) \($(NEWGRF_VERSION):$(REPO_HASH)$(REPO_MODIFIED)\))

# The title consists of name and version
REPO_TITLE     ?= $(REPO_NAME) $(REPO_VERSION_STRING)

distclean:: clean
maintainer-clean:: distclean


################################################################
#
# Target nml
#
# Pre-processing and generation of $(NML_FILES)
#
################################################################

nml: $(NML_FILES)

%.nml: %.pnml Makefile.vcs
	$(_E) "[CPP] $@"
	$(_V) $(CC) -D REPO_REVISION=$(NEWGRF_VERSION) -D NEWGRF_VERSION=$(NEWGRF_VERSION) $(CC_USER_FLAGS) $(CC_FLAGS) -MMD -MF $@.dep -MT $@ -o $@ $<

clean::
	$(_E) "[CLEAN NML]"
	$(_V)-rm -rf $(NML_FILES)


################################################################
#
# Target gfx
#
# Pre-processing and generation of png files.
# The instructions for generating png files are defined via $(GFX_SCRIPT_LIST_FILES)
#
# - $(GFX_SCRIPT_LIST_FILES) specifies a list of source xcf2png files.
# - From this file a list of rules to generate png files are created *before* processing any real targets.
# - NML generares png prerequisited for all image files.
# - The generated png files ($(GFX_FILES)) are additionally order-prerequisites to all grf files,
#   in case no NML dependencies were generated yet.
#
################################################################

ifdef GFX_SCRIPT_LIST_FILES

ifneq ($(GIMP),)

# Always include to force creation, if not existing
include Makefile.gfx

gfx: Makefile.gfx

# Generation of processing rules for png files.
# The rules are only updated, if there are any changes to them. (This is also the case for the .scm files)
#
# Make "Makefile.gfx $(GFX_FILES)" an ordering "|"-prerequisite of any target that may depend on generated png files.
#
Makefile.gfx: $(GFX_SCRIPT_LIST_FILES) Makefile Makefile.config
	$(_E) "[GFX-DEP] $@"
	$(_V) echo "" > $@
	$(_V)\
		for j in $(GFX_SCRIPT_LIST_FILES); do\
			for i in `cat $$j | grep "\([pP][cCnN][xXgG]\)" | grep -v "^#" | cut -d\  -f1 | sed "s/\.\([pP][cCnN][xXgG]\)//"`; do\
				echo "$$i.scm: $$j" >> $@;\
				echo "GFX_FILES += $$i.png" >> $@;\
				cat $(SCRIPT_DIR)/gimpscript > $$i.scm.new;\
				grep $$i.png $$j | sed -f $(SCRIPT_DIR)/gimp.sed >> $$i.scm.new;\
				echo "(gimp-quit 0)" >> $$i.scm.new;\
				cmp -s $$i.scm.new $$i.scm || cp $$i.scm.new $$i.scm;\
				rm -f $$i.scm.new;\
			done;\
		done
	$(_V) cat $(GFX_SCRIPT_LIST_FILES) | grep "\([pP][cCnN][xXgG]\)" | grep -v "^#" | sed "s/[ ] */ /g" | cut -d\  -f1-2 | sed "s/ /: /g" >> $@

# create the png file. And make sure it's re-created even when present in the repo
%.png: %.scm
	$(_E) "[GIMP] $@"
	$(_V) $(GIMP) $(GIMP_FLAGS) -b - <$< >/dev/null

clean::
	$(_E) "[CLEAN GFX]"
	$(_V) for j in $(GFX_SCRIPT_LIST_FILES); do for i in `cat $$j | grep "\([pP][cCnN][xXgG]\)" | cut -d\  -f1 | sed "s/\.\([pP][cCnN][xXgG]\)//"`; do rm -rf $$i.scm; done; done
	$(_V) rm -rf Makefile.gfx

clean-gfx::
	$(_E) "[CLEAN-GFX]"
	$(_V) for j in $(GFX_SCRIPT_LIST_FILES); do for i in `cat $$j | grep "\([pP][cCnN][xXgG]\)" | cut -d\  -f1 | sed "s/\.\([pP][cCnN][xXgG]\)//"`; do rm -rf $$i.png; done; done

else

gfx: Makefile.gfx

Makefile.gfx: FORCE
	$(_E) "[GIMP disabled]"

endif
endif


################################################################
#
# Target grf
#
# Compile grf files from nml, png and lang sources.
#
################################################################

grf: $(GFX_FILES) $(GRF_FILES)

custom_tags.txt: Makefile.vcs
	$(_E) "[LNG] $@"
	$(_V) echo "VERSION        :$(REPO_VERSION_STRING)" > $@
	$(_V) echo "VERSION_STRING :$(REPO_VERSION_STRING)" >> $@
	$(_V) echo "TITLE          :$(REPO_TITLE)" >> $@
	$(_V) echo "FILENAME       :$(GRF_FILES)" >> $@
	$(_V) echo "REPO_DATE      :$(REPO_DATE)" >> $@
	$(_V) echo "REPO_HASH      :$(REPO_HASH)" >> $@
	$(_V) echo "REPO_BRANCH    :$(REPO_BRANCH)" >> $@
	$(_V) echo "NEWGRF_VERSION :$(NEWGRF_VERSION)" >> $@
	$(_V) echo "DAYS_SINCE_2K  :$(REPO_DAYS_SINCE_2000)" >> $@

%.grf: %.nml $(LNG_FILES) custom_tags.txt | Makefile.gfx $(GFX_FILES)
	$(_E) "[NML] $@"
ifeq ($(NML),)
	$(_E) "No NML compiler found!"
	$(_V) false
endif
ifdef REQUIRED_NML_BRANCH
ifneq ($(REQUIRED_NML_BRANCH),$(NML_BRANCH))
	$(_E) "Wrong NML version. This NewGRF requires an NML from the $(REQUIRED_NML_BRANCH) branch, but $(NML_BRANCH) found."
	$(_V) false
endif
endif
ifdef MIN_NML_REVISION
ifeq ($(shell [ "$(NML_REVISION)" -lt "$(MIN_NML_REVISION)" ] && echo "true" || echo "false"),true)
	$(_E) "Too old NML revision. At least r$(MIN_NML_REVISION) is required, but r$(NML_REVISION) found."
	$(_V) false
endif
endif
	$(_V) $(NML) $(NML_FLAGS) -M --MF=$@.dep --grf $@ $<

clean::
	$(_E) "[CLEAN GRF]"
	$(_V)-rm -rf $(GRF_FILES)
	$(_V)-rm -rf $(GRF_FILES).cache
	$(_V)-rm -rf $(GRF_FILES).cacheindex
	$(_V)-rm -rf parsetab.py
	$(_V)-rm -rf .nmlcache

maintainer-clean::
	$(_E) "[MAINTAINER-CLEAN GRF]"
	$(_V) -rm -rf $(MD5_SRC_FILENAME)


################################################################
#
# Target doc
#
# Generate documentation files.
#
################################################################

doc: $(DOC_FILES)

=== debian/changelog ===
openttd-opengfx (0.5.4-2~mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 22 Feb 2019 18:32:50 -0800

openttd-opengfx (0.5.4-2) unstable; urgency=medium

  * [1f3c254] Bump debhelper version to v11
  * [6fbd713] Bump standards version to 4.1.4
  * [43960c7] Convert Priority: extra to optional
  * [71adcda] Mark as Multi-arch: foreign
  * [45487e7] Respect nocheck in DEB_BUILD_OPTIONS
  * [688989a] Use python3 instead of python during the build
    (Closes: #897544)
  * [0908f53] Add build dependency on python3

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 10 May 2018 21:44:24 +0200

openttd-opengfx (0.5.4-1) unstable; urgency=medium

  * [c6d97c8] New upstream release 0.5.4.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 07 Jan 2016 15:32:02 +0100

openttd-opengfx (0.5.3-1) unstable; urgency=medium

  * [7ee9c82] New upstream release 0.5.3.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 22 Sep 2015 21:03:13 +0200

=== debian/control ===
Source: openttd-opengfx
Section: games
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper (>= 11), nml (>= 0.3.0), gimp, grfcodec, python3
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/openttd-team/openttd-opengfx
Vcs-Git: https://salsa.debian.org/openttd-team/openttd-opengfx.git
Homepage: http://dev.openttdcoop.org/projects/opengfx

Package: openttd-opengfx
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: free graphics set for use with the OpenTTD game
 OpenGFX is a graphics set for the OpenTTD game that has been built from
 scratch under an open license. It allows the OpenTTD game to be played without
 needing the graphics files from the original Transport Tycoon Deluxe game.

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export GIMP2_DIRECTORY=$(CURDIR)/gimp-data
 
 %:
-	dh $@ --parallel
+	dh $@
 
 INSTALL_ROOT=debian/openttd-opengfx
 DATA_DIR=usr/share/games/openttd/baseset/opengfx
@@ -23,6 +23,7 @@
 OPTIONS=
 OPTIONS += "INSTALL_DIR=$(INSTALL_ROOT)/$(DATA_DIR)"
 OPTIONS += "_V="
+OPTIONS += "PYTHON=python3"
 
 override_dh_auto_build:
 	# Remove all graphics files that can be rebuilt (from gimp xcf
@@ -49,12 +50,18 @@
 	dh_installchangelogs docs/changelog.txt
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Check if the md5 sums of the resulting grf files match. This
 	# ensures no problems will arise in online play, which uses both
 	# version info and md5 sums of files.
 	make check $(OPTIONS)
+endif
 
 override_dh_auto_clean:
 	make distclean $(OPTIONS)
 	# Remove any data created by gimp
 	rm -rf "$(GIMP2_DIRECTORY)"
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+

## openttd-opengfx 0.5.5

=== Makefile ===
--- 
+++ 
@@ -196,7 +196,7 @@
 endif
 
 # Days of commit since 2000-1-1 00-00
-REPO_DAYS_SINCE_2000 ?= $(shell $(PYTHON) -c "from datetime import date; print (date(`echo "$(REPO_DATE)" | sed s/-/,/g | sed s/,0/,/g`)-date(2000,1,1)).days")
+REPO_DAYS_SINCE_2000 ?= $(shell $(PYTHON) -c "from datetime import date; print( (date(`echo "${REPO_DATE}" | sed s/-/,/g | sed s/,0/,/g`)-date(2000,1,1)).days)")
 
 # Filename addition, if we're not building the default branch
 REPO_BRANCH_STRING ?= $(shell if [ "$(REPO_BRANCH)" = "$(DEFAULT_BRANCH_NAME)" ]; then echo ""; else echo "-$(REPO_BRANCH)"; fi)

=== debian/changelog ===
openttd-opengfx (0.5.5-1) unstable; urgency=medium

  * [8cd58df] New upstream release 0.5.5
  * [4222702] Support DEB_BUILD_OPTIONS=terse
  * [e03f695] Bump standards version to 4.3.0
  * [fecd86e] Update upstream urls to Github
  * [cf2adc6] Prevent GIMP from trying to write thumbnails

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 10 Apr 2019 08:10:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: openttd-opengfx
 Section: games
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
+Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper (>= 11), nml (>= 0.3.0), gimp, grfcodec, python3
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/openttd-team/openttd-opengfx
 Vcs-Git: https://salsa.debian.org/openttd-team/openttd-opengfx.git
-Homepage: http://dev.openttdcoop.org/projects/opengfx
+Homepage: https://github.com/OpenTTD/OpenGFX
 
 Package: openttd-opengfx
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,13 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# Make sure that gimp doesn't read or write data into $HOME/.gimp-2.6
-export GIMP2_DIRECTORY=$(CURDIR)/gimp-data
+# Make sure that gimp doesn't read or write data into $HOME/.gimp-2.6 or
+# elsewhere
+export GIMP2_DIRECTORY=$(CURDIR)/build-data/gimp-data
+export GIMP3_DIRECTORY=$(CURDIR)/build-data/gimp-data
+export XDG_DATA_HOME=$(CURDIR)/build-data/share
+export XDG_CACHE_HOME=$(CURDIR)/build-data/cache
+export XDG_CONFIG_HOME=$(CURDIR)/build-data/config
 
 %:
 	dh $@
@@ -22,7 +27,11 @@
 
 OPTIONS=
 OPTIONS += "INSTALL_DIR=$(INSTALL_ROOT)/$(DATA_DIR)"
+ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+# By default, _V is set to @ to suppress commands, clear it to *show*
+# commands.
 OPTIONS += "_V="
+endif
 OPTIONS += "PYTHON=python3"
 
 override_dh_auto_build:
@@ -61,7 +70,3 @@
 	make distclean $(OPTIONS)
 	# Remove any data created by gimp
 	rm -rf "$(GIMP2_DIRECTORY)"
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://bundles.openttdcoop.org/opengfx/releases/(\d.*)/opengfx-(\d.*)-source\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## openttd-opengfx 0.6.0

=== Makefile ===
--- 
+++ 
@@ -32,17 +32,15 @@
 # Define the filenames of the grf and nml file. They must be in the main directoy
 GRF_FILES            ?= $(addsuffix .grf,$(BASE_FILENAME))
 NML_FILES            ?= $(addsuffix .nml,$(BASE_FILENAME))
+DEP_FILES            ?= $(addsuffix .grf.dep,$(BASE_FILENAME)) $(addsuffix .nml.dep,$(BASE_FILENAME))
 PNML_FILES           ?= $(addsuffix .pnml,$(BASE_FILENAME))
 DOC_FILES            ?= $(LICENSE_FILE) $(CHANGELOG_FILE) $(README_FILE)
 LNG_FILES            ?= lang/*.lng
 GFX_FILES            ?=
 
-# List of all files which will get shipped
-# documentation files: readme, changelog and license, usually $(DOC_FILES)
-# grf file: the above defined grf file, usualls $(GRF_FILES)
-# Add any additional, not usual files here, too, including
-# their relative path to the root of the repository
-BUNDLE_FILES           ?= $(GRF_FILES) $(DOC_FILES) $(OBG_FILENAME)
+# List of all files which will get shipped, minus documentation files.
+# Documentation files often are generated from other files.
+BUNDLE_FILES           ?= $(GRF_FILES) $(OBG_FILENAME)
 BANANAS_INI            ?= bananas.ini
 
 # Replacement strings in the source and in the documentation
@@ -50,7 +48,6 @@
 # (unless you know where to add them in other places, too)
 REPLACE_TITLE       := {{REPO_TITLE}}
 REPLACE_GRFID       := {{GRF_ID}}
-REPLACE_REVISION    := {{REPO_REVISION}}
 REPLACE_FILENAME    := {{FILENAME}}
 
 # target 'all' must be first target
@@ -64,9 +61,9 @@
 # general definitions (no rules!)
 -include Makefile.dist
 .PHONY: all clean distclean
-.PHONY: bananas doc gfx grf lng nml obg
+.PHONY: bananas gfx grf lng nml obg
 .PHONY: bundle     bundle_tar bundle_bzip bundle_gzip bundle_xz   bundle_zip
-.PHONY: bundle_src check      bundle_bsrc bundle_gsrc bundle_xsrc bundle_zsrc 
+.PHONY: bundle_src check      bundle_bsrc bundle_gsrc bundle_xsrc bundle_zsrc
 
 # We want to disable the default rules. It's not c/c++ anyway
 .SUFFIXES:
@@ -77,7 +74,7 @@
 
 FORCE:
 
--include *.dep
+-include $(DEP_FILES)
 
 
 ################################################################
@@ -91,19 +88,16 @@
 MAKE_FLAGS     ?= -r
 
 # Version control system
-HG                  ?= hg
-DEFAULT_BRANCH_NAME ?= default
-HG_ARCHIVE_FLAGS    ?= -X .hgtags -X .hgignore -X .devzone -X scripts/make_changelog.sh
+GIT                 ?= git
+DEFAULT_BRANCH_NAME ?= master
 
 # Text processing and scripting
 AWK            ?= awk
 GREP           ?= grep
 PYTHON         ?= python
-UNIX2DOS       ?= $(shell which unix2dos)
-UNIX2DOS_FLAGS ?= $(shell [ -n $(UNIX2DOS) ] && $(UNIX2DOS) -q --version 2>/dev/null && echo "-q" || echo "")
 
 # Graphics processing
-GIMP           ?= gimp
+GIMP           ?= $(shell which gimp)
 GIMP_FLAGS     ?= -n -i
 
 # NML
@@ -122,11 +116,11 @@
 endif
 
 # GRF tools
-GRFID          ?= grfid
+GRFID          ?= $(shell which grfid)
 GRFID_FLAGS    ?= -m
 MUSA           ?= musa.py
 # The license is set via bananas.ini, do not supply a "custom" license.
-MUSA_FLAGS     ?= -x license.txt
+MUSA_FLAGS     ?= -x LICENSE
 
 # Bundle
 TAR            ?= tar
@@ -155,64 +149,50 @@
 #
 ################################################################
 
-include Makefile.vcs
-
-ifneq ($(HG),)
-
-# HG revision
-REPO_REVISION  = $(shell HGPLAIN= $(HG) id -n | cut -d+ -f1)
-
-# HG Hash
-REPO_HASH      = $(shell HGPLAIN= $(HG) id -i | cut -d+ -f1)
-
-# HG Date
-REPO_DATE      = $(shell HGPLAIN= $(HG) log -r$(REPO_HASH) --template='{date|shortdate}')
-
-# Whether there are local changes
-REPO_MODIFIED  = $(shell [ "`HGPLAIN= $(HG) id | cut -c13`" = "+" ] && echo "M" || echo "")
-
-# Branch name
-REPO_BRANCH    = $(shell HGPLAIN= $(HG) id -b)
-
-# Any tag which is not 'tip'
-REPO_TAGS      = $(shell HGPLAIN= $(HG) id -t | grep -v "tip")
-
-# Makefile.vcs contains all the data depending on the version reported by HG.
-# It is renewed *before* processing any real targets, *only* if the version of the working copy changes.
-#
-# Everything that uses the version strings (to compile them into some file), should have Makefile.vcs as prerequisite.
-#
+# Always run version detection, so we always have an accurate modified
+# flag
+REPO_VERSIONS := $(shell AWK="$(AWK)" "./findversion.sh")
+REPO_MODIFIED := $(shell echo "$(REPO_VERSIONS)" | cut -f 3 -d'	')
+
+# Use autodetected revisions
+REPO_VERSION := $(shell echo "$(REPO_VERSIONS)" | cut -f 1 -d'	')
+REPO_DATE := $(shell echo "$(REPO_VERSIONS)" | cut -f 2 -d'	')
+REPO_HASH := $(shell echo "$(REPO_VERSIONS)" | cut -f 4 -d'	')
+
+# Days of commit since 2000-01-01. REPO_DATE is in format YYYYMMDD.
+REPO_DATE_YEAR := $(shell echo "${REPO_DATE}" | cut -b1-4)
+REPO_DATE_MONTH := $(shell echo "${REPO_DATE}" | cut -b5-6 | sed s/^0//)
+REPO_DATE_DAY := $(shell echo "${REPO_DATE}" | cut -b7-8 | sed s/^0//)
+REPO_DAYS_SINCE_2000 := $(shell $(PYTHON) -c "from datetime import date; print( (date($(REPO_DATE_YEAR),$(REPO_DATE_MONTH),$(REPO_DATE_DAY))-date(2000,1,1)).days)")
+
+# The version reported to OpenTTD. Usually days since 2000 + branch offset
+NEWGRF_VERSION := $(shell let x="$(REPO_DAYS_SINCE_2000) + 65536 * $(REPO_BRANCH_VERSION)"; echo "$$x")
+
+# The title consists of name and version
+REPO_TITLE     := $(REPO_NAME) $(REPO_VERSION)
+
+# Have a file which, if modified, triggers recompiling targets that use these
+# variables.
 Makefile.vcs: FORCE
 	$(_E) "[VCS] $@"
-	$(_V) echo "REPO_REVISION  ?= $(REPO_REVISION)" > $@.new
-	$(_V) echo "REPO_HASH      ?= $(REPO_HASH)" >> $@.new
-	$(_V) echo "REPO_DATE      ?= $(REPO_DATE)" >> $@.new
-	$(_V) echo "REPO_MODIFIED  ?= $(REPO_MODIFIED)" >> $@.new
-	$(_V) echo "REPO_BRANCH    ?= $(REPO_BRANCH)" >> $@.new
-	$(_V) echo "REPO_TAGS      ?= $(REPO_TAGS)" >> $@.new
+	$(_V) echo "REPO_HASH            = $(REPO_HASH)" >> $@.new
+	$(_V) echo "REPO_DATE            = $(REPO_DATE)" >> $@.new
+	$(_V) echo "REPO_VERSION         = $(REPO_VERSION)" >> $@.new
+	$(_V) echo "NEWGRF_VERSION       = $(NEWGRF_VERSION)" >> $@.new
+	$(_V) echo "REPO_DAYS_SINCE_2000 = $(REPO_DAYS_SINCE_2000)" >> $@.new
 	$(_V) cmp -s $@.new $@ || cp $@.new $@
 	$(_V) -rm -f $@.new
 
-endif
-
-# Days of commit since 2000-1-1 00-00
-REPO_DAYS_SINCE_2000 ?= $(shell $(PYTHON) -c "from datetime import date; print( (date(`echo "${REPO_DATE}" | sed s/-/,/g | sed s/,0/,/g`)-date(2000,1,1)).days)")
-
-# Filename addition, if we're not building the default branch
-REPO_BRANCH_STRING ?= $(shell if [ "$(REPO_BRANCH)" = "$(DEFAULT_BRANCH_NAME)" ]; then echo ""; else echo "-$(REPO_BRANCH)"; fi)
-
-# The version reported to OpenTTD. Usually days since 2000 + branch offset
-NEWGRF_VERSION ?= $(shell let x="$(REPO_DAYS_SINCE_2000) + 65536 * $(REPO_BRANCH_VERSION)"; echo "$$x")
-
-# The shown version is either a tag, or in the absence of a tag the revision.
-REPO_VERSION_STRING ?= $(shell [ -n "$(REPO_TAGS)" ] && echo $(REPO_TAGS)$(REPO_MODIFIED) || echo $(REPO_DATE)$(REPO_BRANCH_STRING) \($(NEWGRF_VERSION):$(REPO_HASH)$(REPO_MODIFIED)\))
-
-# The title consists of name and version
-REPO_TITLE     ?= $(REPO_NAME) $(REPO_VERSION_STRING)
-
 distclean:: clean
 maintainer-clean:: distclean
 
+clean::
+	$(_E) "[CLEAN DEP]"
+	$(_V)-rm -rf $(DEP_FILES)
+
+clean::
+	$(_E) "[CLEAN VCS]"
+	$(_V)-rm -f Makefile.vcs
 
 ################################################################
 #
@@ -226,7 +206,7 @@
 
 %.nml: %.pnml Makefile.vcs
 	$(_E) "[CPP] $@"
-	$(_V) $(CC) -D REPO_REVISION=$(NEWGRF_VERSION) -D NEWGRF_VERSION=$(NEWGRF_VERSION) $(CC_USER_FLAGS) $(CC_FLAGS) -MMD -MF $@.dep -MT $@ -o $@ $<
+	$(_V) $(CC) -D NEWGRF_VERSION=$(NEWGRF_VERSION) $(CC_USER_FLAGS) $(CC_FLAGS) -MMD -MF $@.dep -MT $@ -o $@ $<
 
 clean::
 	$(_E) "[CLEAN NML]"
@@ -314,15 +294,15 @@
 
 grf: $(GFX_FILES) $(GRF_FILES)
 
+# custom_tags.txt is used by NML to replace variables in LNG_FILES
 custom_tags.txt: Makefile.vcs
-	$(_E) "[LNG] $@"
-	$(_V) echo "VERSION        :$(REPO_VERSION_STRING)" > $@
-	$(_V) echo "VERSION_STRING :$(REPO_VERSION_STRING)" >> $@
+	$(_E) "[NML-LNG] $@"
+	$(_V) echo "VERSION        :$(REPO_VERSION)" > $@
+	$(_V) echo "VERSION_STRING :$(REPO_VERSION)" >> $@
 	$(_V) echo "TITLE          :$(REPO_TITLE)" >> $@
 	$(_V) echo "FILENAME       :$(GRF_FILES)" >> $@
 	$(_V) echo "REPO_DATE      :$(REPO_DATE)" >> $@
 	$(_V) echo "REPO_HASH      :$(REPO_HASH)" >> $@
-	$(_V) echo "REPO_BRANCH    :$(REPO_BRANCH)" >> $@
 	$(_V) echo "NEWGRF_VERSION :$(NEWGRF_VERSION)" >> $@
 	$(_V) echo "DAYS_SINCE_2K  :$(REPO_DAYS_SINCE_2000)" >> $@
 
@@ -351,8 +331,8 @@
 	$(_V)-rm -rf $(GRF_FILES)
 	$(_V)-rm -rf $(GRF_FILES).cache
 	$(_V)-rm -rf $(GRF_FILES).cacheindex
-	$(_V)-rm -rf parsetab.py
 	$(_V)-rm -rf .nmlcache
+	$(_V)-rm -rf custom_tags.txt
 
 maintainer-clean::
 	$(_E) "[MAINTAINER-CLEAN GRF]"
@@ -361,11 +341,36 @@
 
 ################################################################
 #
-# Target doc
-#
-# Generate documentation files.
-#
-################################################################
-
-doc: $(DOC_FILES)
-
+# Target obg
+#
+# Create the baseset meta data file.
+#
+################################################################
+
+ifdef OBG_FILENAME
+
+obg: $(OBG_FILENAME)
+
+%.obg: $(GFX_FILES) $(GRF_FILES) $(LNG_FILES) Makefile.vcs
+ifeq ($(GRFID),)
+	$(_E) "Cannot create obg files without grfid. Please install grfcodec, and try again. Aborting."
+	$(_V) false
+endif
+
+	$(_E) "[ASSEMBLING] $@"
+	@echo "[metadata]" > $@
+	@echo "name        = $(REPO_NAME)" >> $@
+	@echo "shortname   = $(REPO_SHORTNAME)" >> $@
+	@echo "version     = $(NEWGRF_VERSION)" >> $@
+	@echo "palette     = $(REPO_PALETTE)" >> $@
+	@echo "blitter     = $(REPO_BLITTER)" >> $@
+	$(_V) $(SCRIPT_DIR)/translations.sh | sed 's/{TITLE}/$(REPO_TITLE)/' >> $@
+
+	@echo "" >> $@
+	@echo "[files]" >> $@
+	$(_V) $(_V)for i in $(BASE_FILENAME); do echo "`echo $$i | cut -d_ -f2` = $$i.grf" >> $@; done
+
+	@echo "" >> $@
+	@echo "[md5s]" >> $@
+	$(_V)for i in $(GRF_FILES); do printf "%-18s = %s\n" $$i `$(GRFID) $(GRFID_FLAGS) $$i` >> $@; done
+

=== debian/changelog ===
openttd-opengfx (0.6.0-1) unstable; urgency=medium

  * [66ea205] New upstream release 0.6.0
  * [29e237a] Bump debhelper version to v13
  * [54ea987] Bump standards version to 4.5.0 (no changes required)
  * [c02bfbb] Set Rules-Requires-Root: no for building
  * [02382db] Update watch file
  * [839f330] Add patch to fix documentation filenames
  * [0e5588b] No longer check resulting grfids during build

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 12 May 2020 18:35:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 11), nml (>= 0.3.0), gimp, grfcodec, python3
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), nml (>= 0.3.0), gimp, grfcodec, python3
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openttd-team/openttd-opengfx
 Vcs-Git: https://salsa.debian.org/openttd-team/openttd-opengfx.git
 Homepage: https://github.com/OpenTTD/OpenGFX
+Rules-Requires-Root: no
 
 Package: openttd-opengfx
 Architecture: all

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/opengfx-(\d\S+)-source\.(.*)/openttd-opengfx-$1\.$2/ \
  https://www.openttd.org/downloads/opengfx-releases/latest.html .*/opengfx-(\d\S+)-source\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
